clear all
load Eqepos.dat
load V.dat

D=Eqepos;
Vel=V;

z=size(D(:,1),1);
% start from UT=1.3 h  
L=D(1171:z,2);   % L shell with time interval 4s


t1=Vel(1171:z,1)./900.0;

Uc1=Vel(1171:z,2);   % radial velocity due to convection E in m/s
Uc2=Vel(1171:z,3);   % azimuthal velocity due to convection E in m/s
Uc=Vel(1171:z,4);    % Uc=sqrt(Uc1^2+Uc2^2)

Ut1=Vel(1171:z,5);   % radial velocity due to total E in m/s
Ut2=Vel(1171:z,6);   % azimuthal velocity due to total E in m/s
Ut=Vel(1171:z,7);    % Ut=sqrt(Ut1^2+Ut2^2)


plot(L,Ut1,'r','LineWidth',3)
hold on
plot(L,Ut2,'b','LineWidth',3)
hold on
xlabel('UT (hour)','fontsize',20)
ylabel('U_c (m/s)','fontsize',20)

set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025])
hold on
