!    This program is to plot the time variation of the bulk parameters along the flux tube in DyFk
!    FLIP and GSK connnected at 900 km
!    5/9/2014 by Yan Wang
Program main
    
    implicit none

    integer, parameter:: nc=163
    integer nst,LNBLNK,i,j,k
    CHARACTER*256 :: WORKDIR

    real(8) denO(nc),velO(nc),tprO(nc),tppO(nc),GLL(nc),Z(nc)
    real(8) denH(nc),velH(nc),tprH(nc),tppH(nc)
    real(8) denHe(nc),velHe(nc),tprHe(nc),tppHe(nc)
    real(8) dene(nc),vele(nc),tpre(nc),tppe(nc)       

! Get WORKDIR of current working directory
    CALL GETCWD(WORKDIR)

    open(101,file=WORKDIR(:LNBLNK(WORKDIR))//'/DyFk_2340.dat',status='old') 
	
    open(201,file=WORKDIR(:LNBLNK(WORKDIR))//'/DyFk_2340_smooth.dat',status='unknown') 	


    denO=0.0d0; denH=0.0d0; denHe=0.0d0; dene=0.0d0
    velO=0.0d0; velH=0.0d0; velHe=0.0d0; vele=0.0d0
    tprO=0.0d0; tprH=0.0d0; tprHe=0.0d0; tpre=0.0d0
    tppO=0.0d0; tppH=0.0d0; tppHe=0.0d0; tppe=0.0d0
    GLL=0.0d0; Z=0.0d0;

    ! Read results
    do i=1,nc
       read(101,*) Z(i),GLL(i),denO(i),denH(i),denHe(i),dene(i),&
                   tprO(i),tprH(i),tprHe(i),tpre(i),&
                   tppO(i),tppH(i),tppHe(i),tppe(i),&
                   velO(i),velH(i),velHe(i),vele(i)      
   enddo
   CLOSE(101)

   ! SMOOTH the results 
   do i=1,4
      call smoothp(vele,nc)
      call smoothp(tprO,nc)
      call smoothp(tprH,nc)
      call smoothp(tprHe,nc)
      call smoothp(tpre,nc)
      call smoothp(tppO,nc)
      call smoothp(tppH,nc)
      call smoothp(tppHe,nc)
      call smoothp(tppe,nc)
   enddo

   do i=1,6
      call smoothp(velO,nc)
      call smoothp(velH,nc)
      call smoothp(velHe,nc)
   enddo
   
   ! Write the smooth results
   do i=1,nc
      write(201,*) Z(i),GLL(i),denO(i),denH(i),denHe(i),dene(i),&
                   tprO(i),tprH(i),tprHe(i),tpre(i),&
                   tppO(i),tppH(i),tppHe(i),tppe(i),&
                   velO(i),velH(i),velHe(i),vele(i)          
   enddo

   CLOSE(201)   


End program

!-----------------------------------------------------------------------
!   Weighted 5-point average 04/30/98	X.Y.WU
!-----------------------------------------------------------------------
 subroutine smoothp(temp,n)
     implicit none
     integer n,i
     real(8) temp(n),tempt(n)

     tempt(1)=(3.0d0*temp(1)+2.0d0*temp(2)+temp(3))/6.0d0
     tempt(2)=(2.0d0*temp(1)+3.0d0*temp(2)+2.0d0*temp(3)+temp(4))/8.0d0
     do i=3,n-2
         tempt(i)=(temp(i-2)+2.0d0*temp(i-1)+3.0d0*temp(i)+2.*temp(i+1)+ &
                 temp(i+2))/9.0d0
     enddo
     tempt(n-1)=(2.0d0*temp(n)+3.0d0*temp(n-1)+2.*temp(n-2)+temp(n-3))/8.0d0
     tempt(n)=(3.0d0*temp(n)+2.*temp(n-1)+temp(n-2))/6.0d0


     temp=tempt

end subroutine smoothp

   
