clear all

load efield.1080

% P_0=10^{-11}
load efield_wave6.1080

% P_0=10^{-10}
load efield_wave3.1080

% P_0=10^{-9}
load efield_wave5.1080

Efd=efield;
Efd6=efield_wave6;
Efd3=efield_wave3;
Efd5=efield_wave5;

MLAT=Efd(:,2);

E=Efd(:,3).*1e8;
E6=Efd6(:,3).*1e8;
E3=Efd3(:,3).*1e8;
E5=Efd5(:,3).*1e8;


plot(MLAT,E,'-k','LineWidth',3)   % red solid line
hold on
plot(MLAT,E6,'--g','LineWidth',3)  % green dashed line
hold on
plot(MLAT,E3,'-.b','LineWidth',3)  % blue dash-dot line
hold on
plot(MLAT,E5,'--r','LineWidth',3)  % green dashed line
hold on
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('Parallel Electric Field (10^{-8} V/m)','fontsize',20)
xlabel('MLAT (degree)','fontsize',20)
set(gca,'XMinorTick','on','Xlim',[-40,40],'XTick',[-40:10:40]);
set(gca,'YMinorTick','on');
legend('P_0=0', 'P_0=10^{-11}', ...,
    'P_0=10^{-10}','P_0=10^{-9}')