close all
clear all
load Den_FLIP30.dat
load Tem_FLIP30.dat
load Vel_FLIP30.dat
load ALT_FLIP30.dat
load MLAT_FLIP30.dat
load GRIDFLIP30.dat

nstep=73;
JMAX=399;
UT=[0:1:72];
UT=UT';
Re=6371.2;

Den=Den_FLIP30;     
Tem=Tem_FLIP30;  
Vel=Vel_FLIP30;
ALT=ALT_FLIP30;
MLAT=MLAT_FLIP30;
s=GRIDFLIP30(:,3);       %  arc length in km
s=s./Re;
s0=s(200);
sg=s-s0;                  % arc length at equator is zero

bfd=GRIDFLIP30(:,8);      %  magnitude of B field in nanoTesla
GLAT=GRIDFLIP30(:,14);    %  geographic latitude

NO=reshape(Den(:,1),JMAX,nstep);
NO=NO';

NH=reshape(Den(:,2),JMAX,nstep);
NH=NH';

NHe=reshape(Den(:,3),JMAX,nstep);
NHe=NHe';

Ne=reshape(Den(:,4),JMAX,nstep);
Ne=Ne';

TO=reshape(Tem(:,1),JMAX,nstep);
TO=TO';

TH=reshape(Tem(:,2),JMAX,nstep);
TH=TH';

Te=reshape(Tem(:,3),JMAX,nstep);
Te=Te';

VO=reshape(Vel(:,1),JMAX,nstep);
VO=VO';

VH=reshape(Vel(:,2),JMAX,nstep);
VH=VH';

VHe=reshape(Vel(:,3),JMAX,nstep);
VHe=VHe';

PO=NO.*TO;
PH=NH.*TH;
PHe=NHe.*TH;    %  Pressure
Pe=Ne.*Te;

%P2=log10(PO);    %  normalized pressure
P2=PHe;
Pmax=max(P2);
Pmax2=max(Pmax);
Pnor=P2./Pmax2; 

dummy=NH;
n=200;
for i=n+1:JMAX;
    % copy the density in north hemisphere to south hemisphere
    dummy(:,i)=NH(:,JMAX+1-i);
end
dummy2=NH-dummy;   % density is subtracted by the one in north hemisphere 

y=log10(NO);
%surface(sg(16:JMAX-15),UT,NH(:,16:JMAX-15))
surface(sg(16:JMAX-15),UT,Te(:,16:JMAX-15))
%contour(sg(16:JMAX-15),UT,NH(:,16:JMAX-15),25,'LineWidth',3)
%caxis([-1800,1800])
caxis([0,6500])
xlabel('s (Re)','fontsize',20)
ylabel('UT (hour)','fontsize',20)
set(gca,'fontsize',18,'LineWidth',2)
set(gca,'TickDir','out')
%set(gca,'XMinorTick','on','YMinorTick','on','TickLength',[0.015,0.025])
set(gca,'XMinorTick','on','YMinorTick','on')
set(gca,'Ylim',[0,72],'Xlim',[-3.1,3.1],'XTick',[-3:1:3])
colorbar('LineWidth',3,'Fontsize',16)
box on
title('Te^+ (K)','Fontsize',20)