clear all
load moments_O.4320
load moments_H.4320
load moments_He.4320
load moments_e.4320
load FLIP25gsk.4320
load FLIP25.4320
GSK_O=moments_O;
GSK_H=moments_H;
GSK_He=moments_He;
GSK_e=moments_e;
FLIP=FLIP25gsk;
FLIP0=FLIP25;    % run FLIP only

jbn=82;         % the grid point in FLIP below 1100km
jbs=318;         % the grid point in FLIP below 1100km  
jbfn=6;          % the grid point in GSK above 1100km
jbfs=115;        % the grid point in GSK above 1100km
jmax=399;        % the number of rows in 'FLIP25.dat'
num=jbn+jmax-jbs+1+jbfs-jbfn+1;    % num of grid points

% den,vel,tpr,tpp from GSK above 1100km
h_gsk=GSK_O(:,1);
MLAT_gsk=GSK_O(jbfn:jbfs,2);
denO_gsk=GSK_O(jbfn:jbfs,3);
velO_gsk=GSK_O(jbfn:jbfs,4);
tprO_gsk=GSK_O(jbfn:jbfs,5);
tppO_gsk=GSK_O(jbfn:jbfs,6);

denH_gsk=GSK_H(jbfn:jbfs,3);
velH_gsk=GSK_H(jbfn:jbfs,4);
tprH_gsk=GSK_H(jbfn:jbfs,5);
tppH_gsk=GSK_H(jbfn:jbfs,6);

denHe_gsk=GSK_He(jbfn:jbfs,3);
velHe_gsk=GSK_He(jbfn:jbfs,4);
tprHe_gsk=GSK_He(jbfn:jbfs,5);
tppHe_gsk=GSK_He(jbfn:jbfs,6);

dene_gsk=GSK_e(jbfn:jbfs,3);
vele_gsk=GSK_e(jbfn:jbfs,4);
tpre_gsk=GSK_e(jbfn:jbfs,5);
tppe_gsk=GSK_e(jbfn:jbfs,6);

% results from FLIP below 1100km
h_flip=FLIP(:,2);
MLATn_flip=FLIP(1:jbn,3);       %  altitude < 1100 km in northern hemisphere
MLATs_flip=FLIP(jbs:jmax,3);    %  altitude < 1100 km in southern hemisphere
Ten_flip=FLIP(1:jbn,4);
Tes_flip=FLIP(jbs:jmax,4);      %  Te
TOn_flip=FLIP(1:jbn,5);
TOs_flip=FLIP(jbs:jmax,5);
THn_flip=FLIP(1:jbn,6);
THs_flip=FLIP(jbs:jmax,6);
denOn_flip=FLIP(1:jbn,7);
denOs_flip=FLIP(jbs:jmax,7);
denHn_flip=FLIP(1:jbn,8);
denHs_flip=FLIP(jbs:jmax,8);
denHen_flip=FLIP(1:jbn,9);
denHes_flip=FLIP(jbs:jmax,9);
denen_flip=FLIP(1:jbn,11);
denes_flip=FLIP(jbs:jmax,11);
velOn_flip=FLIP(1:jbn,12);
velOs_flip=FLIP(jbs:jmax,12);
velHn_flip=FLIP(1:jbn,13);
velHs_flip=FLIP(jbs:jmax,13);
velHen_flip=FLIP(1:jbn,14);
velHes_flip=FLIP(jbs:jmax,14);

% combine results from FLIP and GSK together
MLAT(1:num)=0.0;
denO(1:num)=0.0;
denH(1:num)=0.0;
denHe(1:num)=0.0;
dene(1:num)=0.0;
velO(1:num)=0.0;
velH(1:num)=0.0;
velHe(1:num)=0.0;
vele(1:num)=0.0;
TO(1:num)=0.0;
TH(1:num)=0.0;
THe(1:num)=0.0;
Te(1:num)=0.0;

x1=jbn;
x2=x1+1;
x3=jbn+jbfs-jbfn+1;
x4=x3+1;
MLAT(1:x1)=MLATn_flip;
MLAT(x2:x3)=MLAT_gsk;
MLAT(x4:num)=MLATs_flip;

denO(1:x1)=denOn_flip;
denO(x2:x3)=denO_gsk;
denO(x4:num)=denOs_flip;
velO(1:x1)=velOn_flip;
velO(x2:x3)=velO_gsk;
velO(x4:num)=velOs_flip;
TO(1:x1)=TOn_flip;
TO(x2:x3)=(tprO_gsk+tppO_gsk.*2.0)/3.0;
TO(x4:num)=TOs_flip;

denH(1:x1)=denHn_flip;
denH(x2:x3)=denH_gsk;
denH(x4:num)=denHs_flip;
velH(1:x1)=velHn_flip;
velH(x2:x3)=velH_gsk;
velH(x4:num)=velHs_flip;
TH(1:x1)=THn_flip;
TH(x2:x3)=(tprH_gsk+tppH_gsk.*2.0)/3.0;
TH(x4:num)=THs_flip;

denHe(1:x1)=denHen_flip;
denHe(x2:x3)=denHe_gsk;
denHe(x4:num)=denHes_flip;
velHe(1:x1)=velHen_flip;
velHe(x2:x3)=velHe_gsk;
velHe(x4:num)=velHes_flip;
THe(1:x1)=THn_flip;
THe(x2:x3)=(tprHe_gsk+tppHe_gsk.*2.0)/3.0;
THe(x4:num)=THs_flip;


dene(1:x1)=denen_flip;
dene(x2:x3)=dene_gsk;
dene(x4:num)=denes_flip;
Te(1:x1)=Ten_flip;
Te(x2:x3)=(tpre_gsk+tppe_gsk.*2.0)/3.0;
Te(x4:num)=Tes_flip;


% just run FLIP and get the results
h0=FLIP0(:,2);
MLAT0=FLIP0(:,3);
Te0=FLIP0(:,4);
TO0=FLIP0(:,5);
TH0=FLIP0(:,6);
NO0=FLIP0(:,7);
NH0=FLIP0(:,8);
NHe0=FLIP0(:,9);
Ne0=FLIP0(:,11);
VO0=FLIP0(:,12);
VH0=FLIP0(:,13);
VHe0=FLIP0(:,14);

THe0=TH0;   %  ion temperatures (H+,O+,He+) are same in FLIP


%   figure density
plot(MLAT0,NO0,'-r','LineWidth',3)
hold on
plot(MLAT,denO,'--b','LineWidth',3)
hold on
%plot(MLAT,TH,'--g','LineWidth',3)
%hold on
%plot(MLAT,THe,'--k','LineWidth',3)
%hold on
legend('FLIP','DyFk')
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('THe^+ (K)','fontsize',20)
xlabel('MLAT','fontsize',20)
set(gca,'XMinorTick','on','Xlim',[-53,53],'XTick',[-50:10:50]);
set(gca,'YMinorTick','on');
title('t=24h','fontsize',20)
