clear all
load HeVPA1260.dat
load cvol_vdistr1260.dat


D=HeVPA1260;
c_vol=cvol_vdistr1260(:,2);
MLAT(1:51)=cvol_vdistr1260(1:51,3);


nij=180;
nc=101;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

pa(1:nij)=D(101:100+nij);
D2=D(101+nij:end);
f=reshape(D2,nij,100);
[X,Y]=meshgrid(sg,pa);

for i=1:nij;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);

surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
xlabel('s (R_E)','fontsize',20)
ylabel('Pitch angle (degree)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,180],'YTick',[0:30:180])
colorbar('LineWidth',3,'Fontsize',16)
title('L=8.73 R_E','FontSize',18)
box on
hold on