%figure 1
clear all
load HeVSS0.dat
load cvol_vdistr0.dat
load L_time_forward.dat
D=HeVSS0;
c_vol=cvol_vdistr0(:,2);
MLAT(1:51)=cvol_vdistr0(1:51,3);
L_time=L_time_forward(:,2);
nhess=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhess)=D(101:100+nhess);
D2=D(101+nhess:end);
f=reshape(D2,nhess,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhess;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,1)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
%xlabel('s (R_E)','fontsize',20)
ylabel('V_{He^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-16,16],'YTick',[-16:8:16],'XTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,20,'L=5.5','FontSize',16)
box on
hold on

%figure 2
clear all
load HeVSS180.dat
load cvol_vdistr180.dat
load L_time_forward.dat

D=HeVSS180;
c_vol=cvol_vdistr180(:,2);
MLAT(1:51)=cvol_vdistr180(1:51,3);
L_time=L_time_forward(:,2);
nhess=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhess)=D(101:100+nhess);
D2=D(101+nhess:end);
f=reshape(D2,nhess,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhess;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,2)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{He^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-16,16],'YTick',[-16:8:16],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,20,'L=5.78','FontSize',16)
box on
hold on

%figure 3
clear all
load HeVSS360.dat
load cvol_vdistr360.dat
load L_time_forward.dat
D=HeVSS360;
c_vol=cvol_vdistr360(:,2);
MLAT(1:51)=cvol_vdistr360(1:51,3);
L_time=L_time_forward(:,2);
nhess=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhess)=D(101:100+nhess);
D2=D(101+nhess:end);
f=reshape(D2,nhess,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhess;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,3)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{He^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-16,16],'YTick',[-16:8:16],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,20,'L=5.97','FontSize',16)
box on
hold on

%figure 4
clear all
load HeVSS540.dat
load cvol_vdistr540.dat
load L_time_forward.dat
D=HeVSS540;
c_vol=cvol_vdistr540(:,2);
MLAT(1:51)=cvol_vdistr540(1:51,3);
L_time=L_time_forward(:,2);
nhess=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhess)=D(101:100+nhess);
D2=D(101+nhess:end);
f=reshape(D2,nhess,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhess;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,4)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{He^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-16,16],'YTick',[-16:8:16],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,20,'L=6.14','FontSize',16)
box on
hold on

%figure 5
clear all
load HeVSS720.dat
load cvol_vdistr720.dat
load L_time_forward.dat
D=HeVSS720;
c_vol=cvol_vdistr720(:,2);
MLAT(1:51)=cvol_vdistr720(1:51,3);
L_time=L_time_forward(:,2);
nhess=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhess)=D(101:100+nhess);
D2=D(101+nhess:end);
f=reshape(D2,nhess,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhess;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,5)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
%xlabel('s (R_E)','fontsize',20)
ylabel('V_{He^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-16,16],'YTick',[-16:8:16],'XTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,20,'L=6.36','FontSize',16)
box on
hold on

%figure 6
clear all
load HeVSS900.dat
load cvol_vdistr900.dat
load L_time_forward.dat
D=HeVSS900;
c_vol=cvol_vdistr900(:,2);
MLAT(1:51)=cvol_vdistr900(1:51,3);
L_time=L_time_forward(:,2);
nhess=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhess)=D(101:100+nhess);
D2=D(101+nhess:end);
f=reshape(D2,nhess,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhess;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,6)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{He^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-16,16],'YTick',[-16:8:16],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,20,'L=6.73','FontSize',16)
box on
hold on

%figure 7
clear all
load HeVSS1080.dat
load cvol_vdistr1080.dat
load L_time_forward.dat
D=HeVSS1080;
c_vol=cvol_vdistr1080(:,2);
MLAT(1:51)=cvol_vdistr1080(1:51,3);
L_time=L_time_forward(:,2);
nhess=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhess)=D(101:100+nhess);
D2=D(101+nhess:end);
f=reshape(D2,nhess,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhess;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,7)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{He^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-16,16],'YTick',[-16:8:16],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,20,'L=7.41','FontSize',16)
box on
hold on

%figure 8
clear all
load HeVSS1260.dat
load cvol_vdistr1260.dat
load L_time_forward.dat
D=HeVSS1260;
c_vol=cvol_vdistr1260(:,2);
MLAT(1:51)=cvol_vdistr1260(1:51,3);
L_time=L_time_forward(:,2);
nhess=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhess)=D(101:100+nhess);
D2=D(101+nhess:end);
f=reshape(D2,nhess,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhess;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,8)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{He^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-16,16],'YTick',[-16:8:16],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,20,'L=8.73','FontSize',16)
box on
hold on

%figure 9
clear all
load HeVPS0.dat
load cvol_vdistr0.dat
load L_time_forward.dat
D=HeVPS0;
c_vol=cvol_vdistr0(:,2);
MLAT(1:51)=cvol_vdistr0(1:51,3);
L_time=L_time_forward(:,2);

nhesp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhesp)=D(101:100+nhesp);
D2=D(101+nhesp:end);
f=reshape(D2,nhesp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhesp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,9)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
%xlabel('s (R_E)','fontsize',20)
ylabel('V_{He^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,16],'YTick',[0:4:16],'XTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,18,'L=5.5','FontSize',16)
box on
hold on

%figure 10
clear all
load HeVPS180.dat
load cvol_vdistr180.dat
load L_time_forward.dat
D=HeVPS180;
c_vol=cvol_vdistr180(:,2);
MLAT(1:51)=cvol_vdistr180(1:51,3);
L_time=L_time_forward(:,2);
nhesp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhesp)=D(101:100+nhesp);
D2=D(101+nhesp:end);
f=reshape(D2,nhesp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhesp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,10)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{He^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,16],'YTick',[0:4:16],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,18,'L=5.78','FontSize',16)
box on
hold on

%figure 11
clear all
load HeVPS360.dat
load cvol_vdistr360.dat
load L_time_forward.dat
D=HeVPS360;
c_vol=cvol_vdistr360(:,2);
MLAT(1:51)=cvol_vdistr360(1:51,3);
L_time=L_time_forward(:,2);
nhesp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhesp)=D(101:100+nhesp);
D2=D(101+nhesp:end);
f=reshape(D2,nhesp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhesp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,11)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{He^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,16],'YTick',[0:4:16],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,18,'L=5.97','FontSize',16)
box on
hold on

%figure 12
clear all
load HeVPS540.dat
load cvol_vdistr540.dat
load L_time_forward.dat
D=HeVPS540;
c_vol=cvol_vdistr540(:,2);
MLAT(1:51)=cvol_vdistr540(1:51,3);
L_time=L_time_forward(:,2);
nhesp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhesp)=D(101:100+nhesp);
D2=D(101+nhesp:end);
f=reshape(D2,nhesp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhesp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,12)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{He^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,16],'YTick',[0:4:16],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,18,'L=6.14','FontSize',16)
box on
hold on

%figure 13
clear all
load HeVPS720.dat
load cvol_vdistr720.dat
load L_time_forward.dat
D=HeVPS720;
c_vol=cvol_vdistr720(:,2);
MLAT(1:51)=cvol_vdistr720(1:51,3);
L_time=L_time_forward(:,2);
nhesp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhesp)=D(101:100+nhesp);
D2=D(101+nhesp:end);
f=reshape(D2,nhesp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhesp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,13)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
xlabel('s (R_E)','fontsize',20)
ylabel('V_{He^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,16],'YTick',[0:4:16])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,18,'L=6.36','FontSize',16)
text(-14.5,-5,'North','FontSize',18)
text(9.5,-5,'South','FontSize',18)
box on
hold on

%figure 14
clear all
load HeVPS900.dat
load cvol_vdistr900.dat
load L_time_forward.dat
D=HeVPS900;
c_vol=cvol_vdistr900(:,2);
MLAT(1:51)=cvol_vdistr900(1:51,3);
L_time=L_time_forward(:,2);
nhesp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhesp)=D(101:100+nhesp);
D2=D(101+nhesp:end);
f=reshape(D2,nhesp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhesp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,14)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
xlabel('s (R_E)','fontsize',20)
%ylabel('V_{He^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,16],'YTick',[0:4:16],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,18,'L=6.73','FontSize',16)
text(-14.5,-5,'North','FontSize',18)
text(9.5,-5,'South','FontSize',18)
box on
hold on

%figure 15
clear all
load HeVPS1080.dat
load cvol_vdistr1080.dat
load L_time_forward.dat
D=HeVPS1080;
c_vol=cvol_vdistr1080(:,2);
MLAT(1:51)=cvol_vdistr1080(1:51,3);
L_time=L_time_forward(:,2);
nhesp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhesp)=D(101:100+nhesp);
D2=D(101+nhesp:end);
f=reshape(D2,nhesp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhesp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,15)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
xlabel('s (R_E)','fontsize',20)
%ylabel('V_{He^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,16],'YTick',[0:4:16],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,18,'L=7.41','FontSize',16)
text(-14.5,-5,'North','FontSize',18)
text(9.5,-5,'South','FontSize',18)
box on
hold on

%figure 16
clear all
load HeVPS1260.dat
load cvol_vdistr1260.dat
load L_time_forward.dat
D=HeVPS1260;
c_vol=cvol_vdistr1260(:,2);
MLAT(1:51)=cvol_vdistr1260(1:51,3);
L_time=L_time_forward(:,2);
nhesp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhesp)=D(101:100+nhesp);
D2=D(101+nhesp:end);
f=reshape(D2,nhesp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhesp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,16)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
xlabel('s (R_E)','fontsize',20)
%ylabel('V_{He^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,16],'YTick',[0:4:16],'YTickLabel',[])
colorbar('LineWidth',3,'Fontsize',18)
text(-11,18,'L=8.73','FontSize',16)
text(-14.5,-5,'North','FontSize',18)
text(9.5,-5,'South','FontSize',18)
box on
hold on
