%figure 1
clear all
load HVSS0.dat
load cvol_vdistr0.dat
load L_time_forward.dat
D=HVSS0;
c_vol=cvol_vdistr0(:,2);
MLAT(1:51)=cvol_vdistr0(1:51,3);
L_time=L_time_forward(:,2);
nhss=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhss)=D(101:100+nhss);
D2=D(101+nhss:end);
f=reshape(D2,nhss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,1)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
%xlabel('s (R_E)','fontsize',20)
ylabel('V_{H^+{//} }(km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-32,32],'YTick',[-32:16:32],'XTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,40,'L=5.5','FontSize',16)
box on
hold on

%figure 2
clear all
load HVSS180.dat
load cvol_vdistr180.dat
load L_time_forward.dat

D=HVSS180;
c_vol=cvol_vdistr180(:,2);
MLAT(1:51)=cvol_vdistr180(1:51,3);
L_time=L_time_forward(:,2);
nhss=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhss)=D(101:100+nhss);
D2=D(101+nhss:end);
f=reshape(D2,nhss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,2)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{H^+{//} }(km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-32,32],'YTick',[-32:16:32],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,40,'L=5.78','FontSize',16)
box on
hold on

%figure 3
clear all
load HVSS360.dat
load cvol_vdistr360.dat
load L_time_forward.dat
D=HVSS360;
c_vol=cvol_vdistr360(:,2);
MLAT(1:51)=cvol_vdistr360(1:51,3);
L_time=L_time_forward(:,2);
nhss=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhss)=D(101:100+nhss);
D2=D(101+nhss:end);
f=reshape(D2,nhss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,3)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{H^+{//} }(km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-32,32],'YTick',[-32:16:32],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,40,'L=5.97','FontSize',16)
box on
hold on

%figure 4
clear all
load HVSS540.dat
load cvol_vdistr540.dat
load L_time_forward.dat
D=HVSS540;
c_vol=cvol_vdistr540(:,2);
MLAT(1:51)=cvol_vdistr540(1:51,3);
L_time=L_time_forward(:,2);
nhss=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhss)=D(101:100+nhss);
D2=D(101+nhss:end);
f=reshape(D2,nhss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,4)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{H^+{//} }(km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-32,32],'YTick',[-32:16:32],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,40,'L=6.14','FontSize',16)
box on
hold on

%figure 5
clear all
load HVSS720.dat
load cvol_vdistr720.dat
load L_time_forward.dat
D=HVSS720;
c_vol=cvol_vdistr720(:,2);
MLAT(1:51)=cvol_vdistr720(1:51,3);
L_time=L_time_forward(:,2);
nhss=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhss)=D(101:100+nhss);
D2=D(101+nhss:end);
f=reshape(D2,nhss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,5)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
%xlabel('s (R_E)','fontsize',20)
ylabel('V_{H^+{//} }(km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-32,32],'YTick',[-32:16:32],'XTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,40,'L=6.36','FontSize',16)
box on
hold on

%figure 6
clear all
load HVSS900.dat
load cvol_vdistr900.dat
load L_time_forward.dat
D=HVSS900;
c_vol=cvol_vdistr900(:,2);
MLAT(1:51)=cvol_vdistr900(1:51,3);
L_time=L_time_forward(:,2);
nhss=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhss)=D(101:100+nhss);
D2=D(101+nhss:end);
f=reshape(D2,nhss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,6)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{H^+{//} }(km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-32,32],'YTick',[-32:16:32],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,40,'L=6.73','FontSize',16)
box on
hold on

%figure 7
clear all
load HVSS1080.dat
load cvol_vdistr1080.dat
load L_time_forward.dat
D=HVSS1080;
c_vol=cvol_vdistr1080(:,2);
MLAT(1:51)=cvol_vdistr1080(1:51,3);
L_time=L_time_forward(:,2);
nhss=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhss)=D(101:100+nhss);
D2=D(101+nhss:end);
f=reshape(D2,nhss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,7)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{H^+{//} }(km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-32,32],'YTick',[-32:16:32],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,40,'L=7.41','FontSize',16)
box on
hold on

%figure 8
clear all
load HVSS1260.dat
load cvol_vdistr1260.dat
load L_time_forward.dat
D=HVSS1260;
c_vol=cvol_vdistr1260(:,2);
MLAT(1:51)=cvol_vdistr1260(1:51,3);
L_time=L_time_forward(:,2);
nhss=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhss)=D(101:100+nhss);
D2=D(101+nhss:end);
f=reshape(D2,nhss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,8)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{H^+{//} }(km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-32,32],'YTick',[-32:16:32],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,40,'L=8.73','FontSize',16)
box on
hold on

%figure 9
clear all
load HVPS0.dat
load cvol_vdistr0.dat
load L_time_forward.dat
D=HVPS0;
c_vol=cvol_vdistr0(:,2);
MLAT(1:51)=cvol_vdistr0(1:51,3);
L_time=L_time_forward(:,2);

nhsp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhsp)=D(101:100+nhsp);
D2=D(101+nhsp:end);
f=reshape(D2,nhsp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhsp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,9)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
%xlabel('s (R_E)','fontsize',20)
ylabel('V_{H^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,32],'YTick',[0:8:32],'XTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,36,'L=5.5','FontSize',16)
box on
hold on

%figure 10
clear all
load HVPS180.dat
load cvol_vdistr180.dat
load L_time_forward.dat
D=HVPS180;
c_vol=cvol_vdistr180(:,2);
MLAT(1:51)=cvol_vdistr180(1:51,3);
L_time=L_time_forward(:,2);
nhsp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhsp)=D(101:100+nhsp);
D2=D(101+nhsp:end);
f=reshape(D2,nhsp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhsp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,10)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{H^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,32],'YTick',[0:8:32],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,36,'L=5.78','FontSize',16)
box on
hold on

%figure 11
clear all
load HVPS360.dat
load cvol_vdistr360.dat
load L_time_forward.dat
D=HVPS360;
c_vol=cvol_vdistr360(:,2);
MLAT(1:51)=cvol_vdistr360(1:51,3);
L_time=L_time_forward(:,2);
nhsp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhsp)=D(101:100+nhsp);
D2=D(101+nhsp:end);
f=reshape(D2,nhsp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhsp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,11)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{H^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,32],'YTick',[0:8:32],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,36,'L=5.97','FontSize',16)
box on
hold on

%figure 12
clear all
load HVPS540.dat
load cvol_vdistr540.dat
load L_time_forward.dat
D=HVPS540;
c_vol=cvol_vdistr540(:,2);
MLAT(1:51)=cvol_vdistr540(1:51,3);
L_time=L_time_forward(:,2);
nhsp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhsp)=D(101:100+nhsp);
D2=D(101+nhsp:end);
f=reshape(D2,nhsp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhsp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,12)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{H^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,32],'YTick',[0:8:32],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,36,'L=6.14','FontSize',16)
box on
hold on

%figure 13
clear all
load HVPS720.dat
load cvol_vdistr720.dat
load L_time_forward.dat
D=HVPS720;
c_vol=cvol_vdistr720(:,2);
MLAT(1:51)=cvol_vdistr720(1:51,3);
L_time=L_time_forward(:,2);
nhsp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhsp)=D(101:100+nhsp);
D2=D(101+nhsp:end);
f=reshape(D2,nhsp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhsp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,13)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
xlabel('s (R_E)','fontsize',20)
ylabel('V_{H^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,32],'YTick',[0:8:32])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,36,'L=6.36','FontSize',16)
text(-14.5,-10,'North','FontSize',18)
text(9.5,-10,'South','FontSize',18)
box on
hold on

%figure 14
clear all
load HVPS900.dat
load cvol_vdistr900.dat
load L_time_forward.dat
D=HVPS900;
c_vol=cvol_vdistr900(:,2);
MLAT(1:51)=cvol_vdistr900(1:51,3);
L_time=L_time_forward(:,2);
nhsp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhsp)=D(101:100+nhsp);
D2=D(101+nhsp:end);
f=reshape(D2,nhsp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhsp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,14)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
xlabel('s (R_E)','fontsize',20)
%ylabel('V_{H^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,32],'YTick',[0:8:32],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,36,'L=6.73','FontSize',16)
text(-14.5,-10,'North','FontSize',18)
text(9.5,-10,'South','FontSize',18)
box on
hold on

%figure 15
clear all
load HVPS1080.dat
load cvol_vdistr1080.dat
load L_time_forward.dat
D=HVPS1080;
c_vol=cvol_vdistr1080(:,2);
MLAT(1:51)=cvol_vdistr1080(1:51,3);
L_time=L_time_forward(:,2);
nhsp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhsp)=D(101:100+nhsp);
D2=D(101+nhsp:end);
f=reshape(D2,nhsp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhsp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,15)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
xlabel('s (R_E)','fontsize',20)
%ylabel('V_{H^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,32],'YTick',[0:8:32],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,36,'L=7.41','FontSize',16)
text(-14.5,-10,'North','FontSize',18)
text(9.5,-10,'South','FontSize',18)
box on
hold on

%figure 16
clear all
load HVPS1260.dat
load cvol_vdistr1260.dat
load L_time_forward.dat
D=HVPS1260;
c_vol=cvol_vdistr1260(:,2);
MLAT(1:51)=cvol_vdistr1260(1:51,3);
L_time=L_time_forward(:,2);
nhsp=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nhsp)=D(101:100+nhsp);
D2=D(101+nhsp:end);
f=reshape(D2,nhsp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nhsp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(4,4,16)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
xlabel('s (R_E)','fontsize',20)
%ylabel('V_{H^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,32],'YTick',[0:8:32],'YTickLabel',[])
colorbar('LineWidth',3,'Fontsize',18)
text(-11,36,'L=8.73','FontSize',16)
text(-14.5,-10,'North','FontSize',18)
text(9.5,-10,'South','FontSize',18)
box on
hold on
