close all
clear all
load Den_H_He.dat

D=Den_H_He;

Re=6371.2;    % km

RR=D(:,1);    % radial distance in Re

MLAT=D(:,2);   % magnetic latitude

ALT=D(:,3);    % altitude in km

NH1=D(:,4);    % F107=120  in cm^-3
NHe1=D(:,5);

NH2=D(:,6);    % F107=176
NHe2=D(:,7);

num=100;
nc=101;
x=num/2+1;

ratio1=NHe1./NH1;

for p=1:x;
    rave1(p)=0.5*(ratio1(p)+ratio1(nc+1-p));
end

ratio2=NHe2./NH2;

for p=1:x;
    rave2(p)=0.5*(ratio2(p)+ratio2(nc+1-p));
end


r=linspace(1.1,4.1,20);
P=120;
P2=P^2;
z=-1.541-0.176*r+8.557e-3*P-1.458e-5*P2;
z1=10.^z;

P=176;
P2=P^2;
y=-1.541-0.176*r+8.557e-3*P-1.458e-5*P2;
y2=10.^y;

plot(RR(1:x),rave1,'--r','LineWidth',3)
hold on
plot(RR(1:x),rave2,'--b','LineWidth',3)
hold on
plot(r,z1,'--k','LineWidth',3)
hold on
plot(r,y2,'--g','LineWidth',3)
xlabel('Geocentric Distance (Re)','fontsize',20)
ylabel('[He^+]/[H^+]','fontsize',20)
set(gca,'fontsize',18,'LineWidth',2)
set(gca,'XMinorTick','on','YMinorTick','on','TickLength',[0.015,0.025])
set(gca,'Xlim',[1,4])
set(gca,'Yscale','log')
legend('DyFk F107=120','DyFk F107=176','Craven et al. F107=120','Craven et al. F107=176')







