close all
clear all
load Den_DyFk40_smooth.dat
load MLAT_DyFk40.dat
load ALT_DyFk40.dat

load Den_DyFk30_smooth.dat
load MLAT_DyFk30.dat
load ALT_DyFk30.dat

jmax=399;        % the number of rows in 'FLIP25.dat'

Re=6371.2;    % km

jbn3=71;         % the grid point in FLIP h=893.7km
jbs3=329;         % the grid point in FLIP   
jbfn3=4;          % the grid point in GSK  h=957.3km
jbfs3=118;        % the grid point in GSK 

num3=jbn3+jmax-jbs3+1+jbfs3-jbfn3+1;    % num of grid points

nstep3=73;
UT3=[0:1:72];
UT3=UT3';

MLAT3=MLAT_DyFk30;
ALT3=ALT_DyFk30;     % in km
RR3=ALT3./Re+1.0;     % radial distance in Re

Den3=Den_DyFk30_smooth;

% density in cm^-3
NO3=reshape(Den3(:,1),num3,nstep3);
NO3=NO3';

NH3=reshape(Den3(:,2),num3,nstep3);
NH3=NH3';

NHe3=reshape(Den3(:,3),num3,nstep3);
NHe3=NHe3';

Ne3=reshape(Den3(:,4),num3,nstep3);
Ne3=Ne3';

ratio3=NHe3./NH3;
x3=num3/2+1;
for q=1:nstep3;
    for p=1:x3;
        rave3(q,p)=0.5*(ratio3(q,p)+ratio3(q,num3+1-p));
    end
end

jbn4=57;         % the grid point in FLIP h=898 km
jbs4=343;         % the grid point in FLIP h=898 km  
jbfn4=3;          % the grid point in GSK h=930 km
jbfs4=99;        % the grid point in GSK h=930 km
num4=jbn4+jmax-jbs4+1+jbfs4-jbfn4+1;    % num of grid points


nstep4=49;
UT4=[0:1:48];
UT4=UT4';


MLAT4=MLAT_DyFk40;
ALT4=ALT_DyFk40;     % in km
RR4=ALT4./Re+1.0;     % radial distance in Re

Den4=Den_DyFk40_smooth;


% density in cm^-3
NO4=reshape(Den4(:,1),num4,nstep4);
NO4=NO4';

NH4=reshape(Den4(:,2),num4,nstep4);
NH4=NH4';

NHe4=reshape(Den4(:,3),num4,nstep4);
NHe4=NHe4';

Ne4=reshape(Den4(:,4),num4,nstep4);
Ne4=Ne4';

ratio4=NHe4./NH4;
x4=num4/2+1;
for q=1:nstep4;
    for p=1:x4;
        rave4(q,p)=0.5*(ratio4(q,p)+ratio4(q,num4+1-p));
    end
end

r=linspace(1.1,4.1,20);
P=120;
P2=P^2;
z=-1.541-0.176*r+8.557e-3*P-1.458e-5*P2;
z1=10.^z;


plot(RR3(72:129),rave3(49,72:129),'--r','LineWidth',3)
hold on
plot(RR4(58:106),rave4(49,58:106),'--b','LineWidth',3)
hold on
plot(r,z1,'--k','LineWidth',3)
hold on
xlabel('Geocentric Distance (Re)','fontsize',20)
ylabel('[He^+]/[H^+]','fontsize',20)
set(gca,'fontsize',18,'LineWidth',2)
set(gca,'XMinorTick','on','YMinorTick','on','TickLength',[0.015,0.025])
set(gca,'Xlim',[1,4])
set(gca,'Yscale','log')
legend('L=3.0 t=48 hrs','L=4.0 t=48 hrs','Craven et al.')







