close all
clear all
load Neq_GSK40.dat
% equatorial density in cm^-3
den=Neq_GSK40;

nstep=49;
UT=[0:1:48];
UT=UT';

NO=den(:,2);
NH=den(:,3);
NHe=den(:,4);
Ne=den(:,5);

x1=NO.*1000.0;
x2=NHe.*10;

plot(UT,NO,'-r','LineWidth',3)
hold on
plot(UT,NH,'--b','LineWidth',3)
hold on
plot(UT,NHe,'--g','LineWidth',3)
set(gca,'FontSize',18,'LineWidth',2);
ylabel('N_{eq} (cm^{-3})','fontsize',20)
xlabel('UT (hour)','fontsize',20)
set(gca,'XMinorTick','on','Xlim',[0,48],'XTick',[0:6:48]);
set(gca,'YMinorTick','on');
%   figure density
subplot(3,1,1)
plot(UT,NO,'-r','LineWidth',3)
%set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
set(gca,'FontSize',18,'LineWidth',2);
ylabel('[O^+] (cm^{-3})','fontsize',20)
%xlabel('UT (hour)','fontsize',20)
set(gca,'XMinorTick','on','Xlim',[0,48],'XTick',[0:6:48]);
set(gca,'YMinorTick','on');
hold on
%figure 2
subplot(3,1,2)
plot(UT,NH,'--b','LineWidth',3)
%set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
set(gca,'FontSize',18,'LineWidth',2);
ylabel('[H^+] (cm^{-3})','fontsize',20)
%xlabel('UT (hour)','fontsize',20)
set(gca,'XMinorTick','on','Xlim',[0,48],'XTick',[0:6:48]);
set(gca,'YMinorTick','on');
hold on
%figure 3
subplot(3,1,3)
plot(UT,NHe,'--g','LineWidth',3)
%set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
set(gca,'FontSize',18,'LineWidth',2);
ylabel('[He^+] (cm^{-3})','fontsize',20)
xlabel('Time (hrs)','fontsize',20)
set(gca,'XMinorTick','on','Xlim',[0,48],'XTick',[0:6:48]);
set(gca,'YMinorTick','on');
hold on
