% figure 1
clear all
load OVSS900.dat
load cvol_vdistr900.dat

D=OVSS900;
c_vol=cvol_vdistr900(:,2);
MLAT(1:51)=cvol_vdistr900(1:51,3);

noss=121;
nc=101;
nstep=15;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:noss)=D(101:100+noss);
D2=D(101+noss:end);
f=reshape(D2,noss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:noss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(2,3,1)
surface(X,Y,fl,'EdgeColor','none')
caxis([-1,10])
%xlabel('s (R_E)','fontsize',20)
ylabel('V_{O^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-10,10],'YTick',[-10:5:10],'XTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,12,'L=6.73','FontSize',16)
box on
hold on

% figure 7
clear all
load OVSS1080.dat
load cvol_vdistr1080.dat

D=OVSS1080;
c_vol=cvol_vdistr1080(:,2);
MLAT(1:51)=cvol_vdistr1080(1:51,3);

noss=121;
nc=101;
nstep=15;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:noss)=D(101:100+noss);
D2=D(101+noss:end);
f=reshape(D2,noss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:noss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(2,3,2)
surface(X,Y,fl,'EdgeColor','none')
caxis([-1,10])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{O^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-10,10],'YTick',[-10:5:10],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,12,'L=7.41','FontSize',16)
box on
hold on

%fiuge 8
clear all
load OVSS1260.dat
load cvol_vdistr1260.dat

D=OVSS1260;
c_vol=cvol_vdistr1260(:,2);
MLAT(1:51)=cvol_vdistr1260(1:51,3);

noss=121;
nc=101;
nstep=15;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:noss)=D(101:100+noss);
D2=D(101+noss:end);
f=reshape(D2,noss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:noss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(2,3,3)
surface(X,Y,fl,'EdgeColor','none')
caxis([-1,10])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{O^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-10,10],'YTick',[-10:5:10],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,12,'L=8.73','FontSize',16)
box on
hold on

% figure 14
clear all
load OVPS900.dat
load cvol_vdistr900.dat

D=OVPS900;
c_vol=cvol_vdistr900(:,2);
MLAT(1:51)=cvol_vdistr900(1:51,3);

nosp=121;
nc=101;
nstep=15;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nosp)=D(101:100+nosp);
D2=D(101+nosp:end);
f=reshape(D2,nosp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nosp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(2,3,4)
surface(X,Y,fl,'EdgeColor','none')
caxis([-1,10])
xlabel('s (R_E)','fontsize',20)
ylabel('V_{O^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,32],'YTick',[0:8:32])
%colorbar('LineWidth',3,'Fontsize',18)
%text(-11,40,'L=6.73','FontSize',16)
text(-14.5,-6,'North','FontSize',18)
text(9.5,-6,'South','FontSize',18)
box on
hold on

% figure 15
clear all
load OVPS1080.dat
load cvol_vdistr1080.dat


D=OVPS1080;
c_vol=cvol_vdistr1080(:,2);
MLAT(1:51)=cvol_vdistr1080(1:51,3);

nosp=121;
nc=101;
nstep=15;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nosp)=D(101:100+nosp);
D2=D(101+nosp:end);
f=reshape(D2,nosp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nosp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(2,3,5)
surface(X,Y,fl,'EdgeColor','none')
caxis([-1,10])
xlabel('s (R_E)','fontsize',20)
%ylabel('V_{O^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,32],'YTick',[0:8:32],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
%text(-11,40,'L=7.41','FontSize',16)
text(-14.5,-6,'North','FontSize',18)
text(9.5,-6,'South','FontSize',18)
box on
hold on

%figure 16
clear all
load OVPS1260.dat
load cvol_vdistr1260.dat


D=OVPS1260;
c_vol=cvol_vdistr1260(:,2);
MLAT(1:51)=cvol_vdistr1260(1:51,3);


nosp=121;
nc=101;
nstep=15;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nosp)=D(101:100+nosp);
D2=D(101+nosp:end);
f=reshape(D2,nosp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nosp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(2,3,6)
surface(X,Y,fl,'EdgeColor','none')
caxis([-1,10])
xlabel('s (R_E)','fontsize',20)
%ylabel('V_{O^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,32],'YTick',[0:8:32],'YTickLabel',[])
colorbar('LineWidth',3,'Fontsize',18)
%text(-11,40,'L=8.73','FontSize',16)
text(-14.5,-6,'North','FontSize',18)
text(9.5,-6,'South','FontSize',18)
box on
hold on
