% figure 1
clear all
load OVSS1080.dat
load cvol_vdistr1080.dat

D=OVSS1080;
c_vol=cvol_vdistr1080(:,2);
MLAT(1:51)=cvol_vdistr1080(1:51,3);

noss=121;
nc=281;
nstep=15;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:noss)=D(101:100+noss);
D2=D(101+noss:end);
f=reshape(D2,noss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:noss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(2,2,1)
surface(X,Y,fl,'EdgeColor','none')
caxis([-1,10])
%xlabel('s (R_E)','fontsize',20)
ylabel('V_{O^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-40,40],'YTick',[-40:20:40],'XTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,48,'L=7.41','FontSize',18)
box on
hold on

%fiuge 2
clear all
load OVSS1260.dat
load cvol_vdistr1260.dat

D=OVSS1260;
c_vol=cvol_vdistr1260(:,2);
MLAT(1:51)=cvol_vdistr1260(1:51,3);

noss=121;
nc=281;
nstep=15;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:noss)=D(101:100+noss);
D2=D(101+noss:end);
f=reshape(D2,noss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:noss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(2,2,2)
surface(X,Y,fl,'EdgeColor','none')
caxis([-1,10])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{O^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-40,40],'YTick',[-40:20:40],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,48,'L=8.73','FontSize',18)
box on
hold on


% figure 3
clear all
load OVPS1080.dat
load cvol_vdistr1080.dat


D=OVPS1080;
c_vol=cvol_vdistr1080(:,2);
MLAT(1:51)=cvol_vdistr1080(1:51,3);

nosp=121;
nc=281;
nstep=15;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nosp)=D(101:100+nosp);
D2=D(101+nosp:end);
f=reshape(D2,nosp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nosp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(2,2,3)
surface(X,Y,fl,'EdgeColor','none')
caxis([-1,10])
xlabel('s (R_E)','fontsize',20)
ylabel('V_{O^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,60],'YTick',[0:15:60])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,66,'L=7.41','FontSize',18)
text(-13.2,-10,'North','FontSize',18)
text(10.8,-10,'South','FontSize',18)
box on
hold on

%figure 4
clear all
load OVPS1260.dat
load cvol_vdistr1260.dat


D=OVPS1260;
c_vol=cvol_vdistr1260(:,2);
MLAT(1:51)=cvol_vdistr1260(1:51,3);


nosp=121;
nc=281;
nstep=15;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vp(1:nosp)=D(101:100+nosp);
D2=D(101+nosp:end);
f=reshape(D2,nosp,100);
[X,Y]=meshgrid(sg,vp);

for i=1:nosp;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(2,2,4)
surface(X,Y,fl,'EdgeColor','none')
caxis([-1,10])
xlabel('s (R_E)','fontsize',20)
%ylabel('V_{O^+{\perp}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[0,60],'YTick',[0:15:60],'YTickLabel',[])
colorbar('LineWidth',3,'Fontsize',18)
text(-11,66,'L=8.73','FontSize',18)
text(-13.2,-10,'North','FontSize',18)
text(10.8,-10,'South','FontSize',18)
box on
hold on