%figure 1
clear all
load OVSS0.dat
load cvol_vdistr0.dat
load L_time_forward.dat

D=OVSS0;
c_vol=cvol_vdistr0(:,2);
MLAT(1:51)=cvol_vdistr0(1:51,3);
L_time=L_time_forward(:,2);

noss=121;
nc=281;
nstep=15;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:noss)=D(101:100+noss);
D2=D(101+noss:end);
f=reshape(D2,noss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:noss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(3,4,1)
surface(X,Y,fl,'EdgeColor','none')
caxis([-1,10])
%xlabel('s (R_E)','fontsize',20)
ylabel('V_{O^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-8,8],'YTick',[-8:4:8],'XTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,10,'L=5.5','FontSize',16)
box on
hold on

%figure 2
clear all
load OVSS360.dat
load cvol_vdistr360.dat
load L_time_forward.dat

D=OVSS360;
c_vol=cvol_vdistr360(:,2);
MLAT(1:51)=cvol_vdistr360(1:51,3);
L_time=L_time_forward(:,2);

noss=121;
nc=281;
nstep=15;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:noss)=D(101:100+noss);
D2=D(101+noss:end);
f=reshape(D2,noss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:noss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(3,4,2)
surface(X,Y,fl,'EdgeColor','none')
caxis([-1,10])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{O^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-8,8],'YTick',[-8:4:8],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,10,'L=5.97','FontSize',16)
box on
hold on

% figure 3
clear all
load OVSS900.dat
load cvol_vdistr900.dat
load L_time_forward.dat

D=OVSS900;
c_vol=cvol_vdistr900(:,2);
MLAT(1:51)=cvol_vdistr900(1:51,3);
L_time=L_time_forward(:,2);

noss=121;
nc=281;
nstep=15;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:noss)=D(101:100+noss);
D2=D(101+noss:end);
f=reshape(D2,noss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:noss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(3,4,3)
surface(X,Y,fl,'EdgeColor','none')
caxis([-1,10])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{O^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-8,8],'YTick',[-8:4:8],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,10,'L=6.73','FontSize',16)
box on
hold on

%fiuge 4
clear all
load OVSS1260.dat
load cvol_vdistr1260.dat
load L_time_forward.dat

D=OVSS1260;
c_vol=cvol_vdistr1260(:,2);
MLAT(1:51)=cvol_vdistr1260(1:51,3);
L_time=L_time_forward(:,2);

noss=121;
nc=281;
nstep=15;

sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:noss)=D(101:100+noss);
D2=D(101+noss:end);
f=reshape(D2,noss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:noss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(3,4,4)
surface(X,Y,fl,'EdgeColor','none')
caxis([-1,10])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{O^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-8,8],'YTick',[-8:4:8],'XTickLabel',[],'YTickLabel',[])
colorbar('LineWidth',3,'Fontsize',18)
text(-11,10,'L=8.73','FontSize',16)
box on
hold on

%figure 5
clear all
load HVSS0.dat
load cvol_vdistr0.dat
load L_time_forward.dat
D=HVSS0;
c_vol=cvol_vdistr0(:,2);
MLAT(1:51)=cvol_vdistr0(1:51,3);
L_time=L_time_forward(:,2);
nhss=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhss)=D(101:100+nhss);
D2=D(101+nhss:end);
f=reshape(D2,nhss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(3,4,5)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
%xlabel('s (R_E)','fontsize',20)
ylabel('V_{H^+{//} }(km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-32,32],'YTick',[-32:16:32],'XTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,40,'L=5.5','FontSize',16)
box on
hold on

%figure 6
clear all
load HVSS360.dat
load cvol_vdistr360.dat
load L_time_forward.dat
D=HVSS360;
c_vol=cvol_vdistr360(:,2);
MLAT(1:51)=cvol_vdistr360(1:51,3);
L_time=L_time_forward(:,2);
nhss=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhss)=D(101:100+nhss);
D2=D(101+nhss:end);
f=reshape(D2,nhss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(3,4,6)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{H^+{//} }(km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-32,32],'YTick',[-32:16:32],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,40,'L=5.97','FontSize',16)
box on
hold on

%figure 7
clear all
load HVSS900.dat
load cvol_vdistr900.dat
load L_time_forward.dat
D=HVSS900;
c_vol=cvol_vdistr900(:,2);
MLAT(1:51)=cvol_vdistr900(1:51,3);
L_time=L_time_forward(:,2);
nhss=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhss)=D(101:100+nhss);
D2=D(101+nhss:end);
f=reshape(D2,nhss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(3,4,7)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{H^+{//} }(km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-32,32],'YTick',[-32:16:32],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',18)
text(-11,40,'L=6.73','FontSize',16)
box on
hold on

%figure 8
clear all
load HVSS1260.dat
load cvol_vdistr1260.dat
load L_time_forward.dat
D=HVSS1260;
c_vol=cvol_vdistr1260(:,2);
MLAT(1:51)=cvol_vdistr1260(1:51,3);
L_time=L_time_forward(:,2);
nhss=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhss)=D(101:100+nhss);
D2=D(101+nhss:end);
f=reshape(D2,nhss,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhss;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(3,4,8)
surface(X,Y,fl,'EdgeColor','none')
caxis([3,9])
%xlabel('s (R_E)','fontsize',20)
%ylabel('V_{H^+{//} }(km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-32,32],'YTick',[-32:16:32],'XTickLabel',[],'YTickLabel',[])
colorbar('LineWidth',3,'Fontsize',18)
text(-11,40,'L=8.73','FontSize',16)
box on
hold on

%figure 9
clear all
load HeVSS0.dat
load cvol_vdistr0.dat
load L_time_forward.dat
D=HeVSS0;
c_vol=cvol_vdistr0(:,2);
MLAT(1:51)=cvol_vdistr0(1:51,3);
L_time=L_time_forward(:,2);
nhess=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhess)=D(101:100+nhess);
D2=D(101+nhess:end);
f=reshape(D2,nhess,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhess;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(3,4,9)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
xlabel('s (R_E)','fontsize',20)
ylabel('V_{He^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-16,16],'YTick',[-16:8:16],'XTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,20,'L=5.5','FontSize',16)
box on
text(-14.5,-20,'North','FontSize',18)
text(9.5,-20,'South','FontSize',18)
hold on

%figure 10
clear all
load HeVSS360.dat
load cvol_vdistr360.dat
load L_time_forward.dat
D=HeVSS360;
c_vol=cvol_vdistr360(:,2);
MLAT(1:51)=cvol_vdistr360(1:51,3);
L_time=L_time_forward(:,2);
nhess=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhess)=D(101:100+nhess);
D2=D(101+nhess:end);
f=reshape(D2,nhess,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhess;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(3,4,10)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
xlabel('s (R_E)','fontsize',20)
%ylabel('V_{He^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-16,16],'YTick',[-16:8:16],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,20,'L=5.97','FontSize',16)
box on
text(-14.5,-20,'North','FontSize',18)
text(9.5,-20,'South','FontSize',18)
hold on

%figure 11
clear all
load HeVSS900.dat
load cvol_vdistr900.dat
load L_time_forward.dat
D=HeVSS900;
c_vol=cvol_vdistr900(:,2);
MLAT(1:51)=cvol_vdistr900(1:51,3);
L_time=L_time_forward(:,2);
nhess=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhess)=D(101:100+nhess);
D2=D(101+nhess:end);
f=reshape(D2,nhess,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhess;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(3,4,11)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
xlabel('s (R_E)','fontsize',20)
%ylabel('V_{He^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-16,16],'YTick',[-16:8:16],'XTickLabel',[],'YTickLabel',[])
%colorbar('LineWidth',3,'Fontsize',16)
text(-11,20,'L=6.73','FontSize',16)
box on
hold on
text(-14.5,-20,'North','FontSize',18)
text(9.5,-20,'South','FontSize',18)

%figure 12
clear all
load HeVSS1260.dat
load cvol_vdistr1260.dat
load L_time_forward.dat
D=HeVSS1260;
c_vol=cvol_vdistr1260(:,2);
MLAT(1:51)=cvol_vdistr1260(1:51,3);
L_time=L_time_forward(:,2);
nhess=121;
nc=281;
nstep=15;
sg(1:100)=D(1:100);   %  unit -- km
Re=6371.2;    % unit -- km
sg=sg./Re;
sgmin=sg(1);
sgmax=sg(100);

vs(1:nhess)=D(101:100+nhess);
D2=D(101+nhess:end);
f=reshape(D2,nhess,100);
[X,Y]=meshgrid(sg,vs);

for i=1:nhess;
    for j=1:100;
        f_vol(i,j)=f(i,j)/c_vol(j);
    end
end

fl=log10(f_vol);
subplot(3,4,12)
surface(X,Y,fl,'EdgeColor','none')
caxis([0,8])
xlabel('s (R_E)','fontsize',20)
%ylabel('V_{He^+{//}} (km/s)','fontsize',20)
set(gca,'TickDir','out')
set(gca,'TickLength',[0.015,0.025])
set(gca,'fontsize',20,'LineWidth',3,'Xlim',[-12,12],'XTick',[-12:4:12])
set(gca,'Ylim',[-16,16],'YTick',[-16:8:16],'XTickLabel',[],'YTickLabel',[])
colorbar('LineWidth',3,'Fontsize',16)
text(-11,20,'L=8.73','FontSize',16)
box on
hold on
text(-14.5,-20,'North','FontSize',18)
text(9.5,-20,'South','FontSize',18)