!    This program is to plot the daily variation of the density at the magnetic equator

!    2013/5/28 by Yan Wang

Program main
    
    implicit none

    integer, parameter:: num=120,nc=121,dt=180,nstep=73
    integer nst,LNBLNK,i,j,k,h
    character suff*6
    CHARACTER*256 :: WORKDIR

    real(8) alt(num),GLL(num),sg_gsk(num),bf_gsk(num)
    real(8),dimension(nstep,num):: denO,denH,denHe,dene
    real(8),dimension(nstep,num):: TprO,TprH,TprHe,Tpre
    real(8),dimension(nstep,num):: TppO,TppH,TppHe,Tppe
    real(8),dimension(nstep,num):: qprO,qppO,qprH,qppH,qprHe,qppHe,qpre,qppe
    real(8),dimension(nstep,num):: velO,velH,velHe,vele
    real(8),dimension(nc):: rr,GLL_grid,alt_grid,sg,area,c_vol,gm,bfd,mirrf,Tco,Tch,Tche
    real(8) :: cf(nc,2),Ls 

! Get WORKDIR of current working directory
    CALL GETCWD(WORKDIR)
    
     ! Tco, Tch, & Tche are O+, H+, & He+ gyroperiod (sec)
     open(205,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT1/gskgrid-1.dat')

     read(205,'(A)')
   !       '#','r(Re)','mlat','alt(km)','arc len(Re)','area(m^-2)', &
   !      'vol(m^-3)','g(Re/s^2)','Bfeild(T)','mirrf','cf1','cf2','Tco','Tch','Tche'
     do i=1,nc
          read(205,'(i3,14es13.5)') h,rr(i),GLL_grid(i),alt_grid(i),sg(i),area(i),c_vol(i),gm(i), &
                                                bfd(i),mirrf(i),cf(i,1),cf(i,2),Tco(i),Tch(i), Tche(i)
     enddo
     close(205)

     do i=1,num
          sg_gsk(i)=(sg(i)+sg(i+1))*0.5d0
          bf_gsk(i)=(bfd(i)+bfd(i+1))*0.5d0
     enddo

   do j=1,nstep
          nst=(j-1)*dt
          write(suff,'(i6)') nst
          suff=adjustl(suff)
          open(201,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT1/moments_O.'//suff(:LNBLNK(suff)), &
                    status='unknown') !,form='unformatted')	  
          open(202,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT1/moments_H.'//suff(:LNBLNK(suff)), &
                    status='unknown') !,form='unformatted')
          open(203,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT1/moments_He.'//suff(:LNBLNK(suff)), &
                    status='unknown') !,form='unformatted')
          open(204,file=WORKDIR(:LNBLNK(WORKDIR))//'/PLOT1/moments_e.'//suff(:LNBLNK(suff)), &
                    status='unknown') !,form='unformatted')
 
          do i=1,num
               read(201,'(8es14.5)') alt(i),GLL(i),denO(j,i),velO(j,i),tprO(j,i),tppO(j,i),qprO(j,i),qppO(j,i)
               read(202,'(8es14.5)') alt(i),GLL(i),denH(j,i),velH(j,i),tprH(j,i),tppH(j,i),qprH(j,i),qppH(j,i)
               read(203,'(8es14.5)') alt(i),GLL(i),denHe(j,i),velHe(j,i),tprHe(j,i),tppHe(j,i),qprHe(j,i),qppHe(j,i)
               read(204,'(8es14.5)') alt(i),GLL(i),dene(j,i),vele(j,i),tpre(j,i),tppe(j,i),qpre(j,i),qppe(j,i)
          enddo

          close(201)
          close(202)
          close(203)
          close(204)
   enddo

    open(101,file=WORKDIR(:LNBLNK(WORKDIR))//'/denHe_GSK30.dat',status='unknown') !,form='unformatted')	
    open(102,file=WORKDIR(:LNBLNK(WORKDIR))//'/TprHe_GSK30.dat',status='unknown') !,form='unformatted')	 
    open(103,file=WORKDIR(:LNBLNK(WORKDIR))//'/TppHe_GSK30.dat',status='unknown') !,form='unformatted')	 
    open(104,file=WORKDIR(:LNBLNK(WORKDIR))//'/VelHe_GSK30.dat',status='unknown') !,form='unformatted')	
    open(105,file=WORKDIR(:LNBLNK(WORKDIR))//'/MLAT_GSK30.dat',status='unknown') !,form='unformatted')	
    open(106,file=WORKDIR(:LNBLNK(WORKDIR))//'/ALT_GSK30.dat',status='unknown') !,form='unformatted')
    open(107,file=WORKDIR(:LNBLNK(WORKDIR))//'/sg_GSK30.dat',status='unknown') !,form='unformatted')	
    open(108,file=WORKDIR(:LNBLNK(WORKDIR))//'/bfd_GSK30.dat',status='unknown') !,form='unformatted')	

    do i=1,num
           write(105,'(es14.5)')  GLL(i)
           write(106,'(es14.5)')  alt(i)
           write(107,'(es14.5)')  sg_gsk(i)
           write(108,'(es14.5)')  bf_gsk(i)    
    enddo

    do i=1,num
         do j=1,nstep
                 write(101,'(es14.5)') denHe(j,i)
                 write(102,'(es14.5)') tprHe(j,i)
                 write(103,'(es14.5)') tppHe(j,i)    
                 write(104,'(es14.5)') velHe(j,i)   
         enddo
     enddo

   close(101)
   close(102)
   close(103)
   close(104)
   close(105)
   close(106)
   close(107)
   close(108)
End program

   
