close all
clear all
load Tpr_GSK30.dat
load Tpp_GSK30.dat
load MLAT_GSK30.dat
load ALT_GSK30.dat
load Vel_GSK30.dat

nstep=73;
num=120;
kb=1.38e-23;
m=1.67e-27*16;

MLAT=MLAT_GSK30;
ALT=ALT_GSK30;
Tpr=Tpr_GSK30;
Tpp=Tpp_GSK30;
Vel_GSK=Vel_GSK30;
T_GSK=(Tpr+2.0*Tpp)/3.0;
T=reshape(T_GSK,nstep,num);
V=reshape(Vel_GSK,nstep,num);
Vs=sqrt(T.*kb/m);
V2=abs(V);
UT=[0:1:72];
UT=UT';
Vdiff=V2-Vs;

surface(MLAT,UT,Vdiff)
xlabel('MLAT','fontsize',20)
ylabel('UT (hour)','fontsize',20)
set(gca,'fontsize',18,'LineWidth',2)
set(gca,'TickDir','out')
%set(gca,'XMinorTick','on','YMinorTick','on','TickLength',[0.015,0.025])
set(gca,'XMinorTick','on','YMinorTick','on')
set(gca,'Xlim',[-52,52],'Ylim',[0,72],'XTick',[-50:10:50])
colorbar('LineWidth',3,'Fontsize',16)
box on
title('VO^+','Fontsize',18)