function c_vol=cal_vol(n,Req,A0,MLAT,sg)
%A0=0.01;   % A0 cross sectional area in m^2 at h=800km, it will change with L-shell

rad=pi/180.0;
GL=MLAT.*rad;   %  mlat in unit of rad at each grid
nc=size(GL);
num=nc-1;

sgmin=sg(1);
sgmax=sg(n);
ds=(sgmax-sgmin)/(n-1);

Re=6371.2;  % km

% divide the arc length into n segments
for i=1:n+1;
     sg_grid(i)=sgmin+(i-1.5)*ds;
end
% mlat at each new grid in north hemisphere
n2=n/2+1;
GLL(1:n2)=0.0;
GLL(1)=GL(1);   % mlat at h=800 km in north hemisphere
GLL(n2)=0.0d0;  % mlat at magnetic equator

temp=linspace(GLL(n2),GLL(1),20000);
cc=0.288675134595;
dd=1.732050808;
por=0.33333333333333;

% solve the latitude
for j=2:n2-1;
      for i=1:20000;
      x1=sin(temp(i));
      x2=x1*x1;
      y1=cos(temp(i));
      z1=sqrt(1.d0+3.d0*x2);
      sxh=dd*x1+z1;
      sg_test=-Req*(x1*z1/2.d0+cc*log(sxh));   
      if  (abs(sg_grid(j)-sg_test)<5.0e-4)
          GLL(j)=temp(i);
          break;
      end
      end
end

% solve volume  (m^3)
x0=sin(GLL(1));
y0=cos(GLL(1));
z0=sqrt(1.d0+3.d0*x0*x0);

rr=1.0+800.0/Re;   %  radial distance at h=800km in Re
c_vol(1:n)=0.0;

for j=1:n2-1;
    sinx=sin(GLL(j));
    sinx2=sinx^2;
    cosx=cos(GLL(j));
    cosx2=cosx^2;
    volfunc1=sinx*(cosx2^2*(cosx2+1.2)+4.8-1.6*sinx2);  

    sinx=sin(GLL(j+1));
    sinx2=sinx^2;
    cosx=cos(GLL(j+1));
    cosx2=cosx^2;
    volfunc2=sinx*(cosx2^2*(cosx2+1.2)+4.8-1.6*sinx2);  
              
    c_vol(j)=volfunc1-volfunc2;
    c_vol(n-j+1)=c_vol(j);
end
xx1=A0*Re*Req^4/rr^3*z0/7.0d0;
c_vol=c_vol.*xx1*1.0e3;   % in m^3      
