clear all
load Eqepos.dat
load V.dat

D=Eqepos;
Vel=V;

nstep=15;
UT0=7.0;   % start at UT=7 h

L=D(:,2);


t1=Vel(:,1)./900.0;
UT=t1+7.0;
Uc1=-Vel(:,2);   % radial velocity due to convection E in m/s
Uc2=Vel(:,3);   % azimuthal velocity due to convection E in m/s
Uc=Vel(:,4);    % Uc=sqrt(Uc1^2+Uc2^2)

Ut1=-Vel(:,5);   % radial velocity due to total E in m/s
Ut2=Vel(:,6);   % azimuthal velocity due to total E in m/s
Ut=Vel(:,7);    % Ut=sqrt(Ut1^2+Ut2^2)


plot(L,Ut1,'r','LineWidth',3)
hold on
plot(L,Ut2,'b','LineWidth',3)
hold on
xlabel('UT (hour)','fontsize',20)
ylabel('U_c (m/s)','fontsize',20)

set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025])
hold on
