clear all
load Eqepos.dat
load Eqepos_MS.dat
D=Eqepos;
DMS=Eqepos_MS;

ang=0.0:0.01:2*pi;
z=size(D(:,1));

xx=D(1:z,8);
yy=D(1:z,9);

subplot(1,2,1)
x=cos(ang);
y=sin(ang);
plot(x,y,'-k','LineWidth',2)   % Earth
hold on

for m=1:4;
rr=2*m;
x=rr*cos(ang);
y=rr*sin(ang);
plot(x,y,'--b','LineWidth',2)
hold on
end

plot(xx,yy,'r','LineWidth',3)
ylabel('YSM (R_E)','fontsize',18)
xlabel('XSM (R_E)','fontsize',18)

set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025])
set(gca,'Xlim',[-8,8],'Ylim',[-8,8])
axis square
title('K_P=5.0','FontSize',18)
%new_fig_handle = shift_axis_to_origin( gca ) ;
hold on

plot(DMS(:,8),DMS(:,9),'k','LineWidth',3)
hold on

subplot(1,2,2)
t=D(1:z,1)/900.0;   % time step dt=4s
L=D(1:z,2);
plot(t,L,'r','LineWidth',3)
set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025]);
ylabel('L (R_E)','fontsize',20)
xlabel('t (hours)','fontsize',20)
%set(gca,'XTick',[00 06 12 18 24],'Xlim',[0,24])